package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_oil_price_adjust
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOilPriceAdjust implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 调价日id
     */
    private Long priceAdjustDateId;

    /**
     * 调价日日期
     */
    private Date priceAdjustDate;

    /**
     * 省地区代码
     */
    private Long provinceCode;

    /**
     * 省地区名称
     */
    private String provinceName;

    /**
     * 油价价区id
     */
    private Integer oilPriceZoneId;

    /**
     * 油价价区名称
     */
    private String oilPriceZoneName;

    /**
     * 油品类型  1:汽油:2:柴油;3:天然气
     */
    private Integer oilType;

    /**
     * 燃油类型名 1:汽油:2:柴油;3:天然气
     */
    private String oilTypeName;

    /**
     * 油号
     */
    private String oilNo;

    /**
     * 油品名称
     */
    private String oilNoName;

    /**
     * 官方指导价
     */
    private BigDecimal priceOfficial;

    /**
     * 状态 0：删除 1： 可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPriceAdjustDateId() {
        return priceAdjustDateId;
    }

    public void setPriceAdjustDateId(Long priceAdjustDateId) {
        this.priceAdjustDateId = priceAdjustDateId;
    }

    public Date getPriceAdjustDate() {
        return priceAdjustDate;
    }

    public void setPriceAdjustDate(Date priceAdjustDate) {
        this.priceAdjustDate = priceAdjustDate;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Integer getOilPriceZoneId() {
        return oilPriceZoneId;
    }

    public void setOilPriceZoneId(Integer oilPriceZoneId) {
        this.oilPriceZoneId = oilPriceZoneId;
    }

    public String getOilPriceZoneName() {
        return oilPriceZoneName;
    }

    public void setOilPriceZoneName(String oilPriceZoneName) {
        this.oilPriceZoneName = oilPriceZoneName;
    }

    public Integer getOilType() {
        return oilType;
    }

    public void setOilType(Integer oilType) {
        this.oilType = oilType;
    }

    public String getOilTypeName() {
        return oilTypeName;
    }

    public void setOilTypeName(String oilTypeName) {
        this.oilTypeName = oilTypeName;
    }

    public String getOilNo() {
        return oilNo;
    }

    public void setOilNo(String oilNo) {
        this.oilNo = oilNo;
    }

    public String getOilNoName() {
        return oilNoName;
    }

    public void setOilNoName(String oilNoName) {
        this.oilNoName = oilNoName;
    }

    public BigDecimal getPriceOfficial() {
        return priceOfficial;
    }

    public void setPriceOfficial(BigDecimal priceOfficial) {
        this.priceOfficial = priceOfficial;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOilPriceAdjust other = (BsOilPriceAdjust) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPriceAdjustDateId() == null ? other.getPriceAdjustDateId() == null : this.getPriceAdjustDateId().equals(other.getPriceAdjustDateId()))
            && (this.getPriceAdjustDate() == null ? other.getPriceAdjustDate() == null : this.getPriceAdjustDate().equals(other.getPriceAdjustDate()))
            && (this.getProvinceCode() == null ? other.getProvinceCode() == null : this.getProvinceCode().equals(other.getProvinceCode()))
            && (this.getProvinceName() == null ? other.getProvinceName() == null : this.getProvinceName().equals(other.getProvinceName()))
            && (this.getOilPriceZoneId() == null ? other.getOilPriceZoneId() == null : this.getOilPriceZoneId().equals(other.getOilPriceZoneId()))
            && (this.getOilPriceZoneName() == null ? other.getOilPriceZoneName() == null : this.getOilPriceZoneName().equals(other.getOilPriceZoneName()))
            && (this.getOilType() == null ? other.getOilType() == null : this.getOilType().equals(other.getOilType()))
            && (this.getOilTypeName() == null ? other.getOilTypeName() == null : this.getOilTypeName().equals(other.getOilTypeName()))
            && (this.getOilNo() == null ? other.getOilNo() == null : this.getOilNo().equals(other.getOilNo()))
            && (this.getOilNoName() == null ? other.getOilNoName() == null : this.getOilNoName().equals(other.getOilNoName()))
            && (this.getPriceOfficial() == null ? other.getPriceOfficial() == null : this.getPriceOfficial().equals(other.getPriceOfficial()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPriceAdjustDateId() == null) ? 0 : getPriceAdjustDateId().hashCode());
        result = prime * result + ((getPriceAdjustDate() == null) ? 0 : getPriceAdjustDate().hashCode());
        result = prime * result + ((getProvinceCode() == null) ? 0 : getProvinceCode().hashCode());
        result = prime * result + ((getProvinceName() == null) ? 0 : getProvinceName().hashCode());
        result = prime * result + ((getOilPriceZoneId() == null) ? 0 : getOilPriceZoneId().hashCode());
        result = prime * result + ((getOilPriceZoneName() == null) ? 0 : getOilPriceZoneName().hashCode());
        result = prime * result + ((getOilType() == null) ? 0 : getOilType().hashCode());
        result = prime * result + ((getOilTypeName() == null) ? 0 : getOilTypeName().hashCode());
        result = prime * result + ((getOilNo() == null) ? 0 : getOilNo().hashCode());
        result = prime * result + ((getOilNoName() == null) ? 0 : getOilNoName().hashCode());
        result = prime * result + ((getPriceOfficial() == null) ? 0 : getPriceOfficial().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", priceAdjustDateId=").append(priceAdjustDateId);
        sb.append(", priceAdjustDate=").append(priceAdjustDate);
        sb.append(", provinceCode=").append(provinceCode);
        sb.append(", provinceName=").append(provinceName);
        sb.append(", oilPriceZoneId=").append(oilPriceZoneId);
        sb.append(", oilPriceZoneName=").append(oilPriceZoneName);
        sb.append(", oilType=").append(oilType);
        sb.append(", oilTypeName=").append(oilTypeName);
        sb.append(", oilNo=").append(oilNo);
        sb.append(", oilNoName=").append(oilNoName);
        sb.append(", priceOfficial=").append(priceOfficial);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}